# Protected resource metadata (RFC 9728)

GET`/.well-known/oauth-protected-resource`

Request

**curl**


```bash
curl -X GET "https://tasksmate-fdfsarhnf5gacfb7.eastus-01.azurewebsites.net/.well-known/oauth-protected-resource"
```

Response 200

```json
{
  "resource": "string",
  "authorization_servers": [
    "string"
  ],
  "scopes_supported": [
    "string"
  ],
  "bearer_methods_supported": [
    "string"
  ],
  "resource_documentation": "string"
}
```

Protected resource metadata (RFC 9728): which authorization server issues tokens for this API.

## Responses

### 200

Successful Response

application/json

_ProtectedResourceMetadata_

Returned by `oauth.resource_metadata`.

object

**resource**

required

_Resource_

string

**authorization\_servers**

required

_Authorization Servers_

Array<string>

**scopes\_supported**

required

_Scopes Supported_

Array<string>

**bearer\_methods\_supported**

required

_Bearer Methods Supported_

Array<string>

**resource\_documentation**

Any of:

**string**


string

**null**


null

Example

```json
{
  "resource": "string",
  "authorization_servers": [
    "string"
  ],
  "scopes_supported": [
    "string"
  ],
  "bearer_methods_supported": [
    "string"
  ],
  "resource_documentation": "string"
}
```

---
Source: https://developers.tasksmate.indrasol.com/reference/operations/oauthresource_metadata/
